=== debian/changelog ===
rna-star (2.4.0i-1) unstable; urgency=low

  * Initial release (Closes: #776655)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jan 2015 14:18:44 +0100
