=== debian/changelog ===
rna-star (2.4.0k-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * Solve build issue on mipsel (thanks to Jurica Stanojkovic
    <Jurica.Stanojkovic@imgtec.com> for the patch)
    Closes: #781828

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2015 10:35:14 +0200
