=== debian/control ===
Source: rna-star
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9),
               libhts-dev,
               vim-common,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://code.google.com/p/rna-star/
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rna-star/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rna-star/trunk/

Package: rna-star
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ultrafast universal RNA-seq aligner
 Spliced Transcripts Alignment to a Reference (STAR) software based on a
 previously undescribed RNA-seq alignment algorithm that uses sequential
 maximum mappable seed search in uncompressed suffix arrays followed by
 seed clustering and stitching procedure. STAR outperforms other aligners
 by a factor of >50 in mapping speed, aligning to the human genome 550
 million 2 × 76 bp paired-end reads per hour on a modest 12-core server,
 while at the same time improving alignment sensitivity and precision. In
 addition to unbiased de novo detection of canonical junctions, STAR can
 discover non-canonical splices and chimeric (fusion) transcripts, and is
 also capable of mapping full-length RNA sequences. Using Roche 454
 sequencing of reverse transcription polymerase chain reaction amplicons,
 the authors experimentally validated 1960 novel intergenic splice
 junctions with an 80-90% success rate, corroborating the high precision
 of the STAR mapping strategy.
