=== debian/watch ===
version=3

https://github.com/alexdobin/STAR/releases .*/archive/STAR_(\d[\d.a-z]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
