=== debian/changelog ===
rna-star (2.4.2a+dfsg-1) unstable; urgency=medium

  [ Charles Plessy ]
  * Remove large GENCODE file, found in later upstream versions.

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jul 2015 19:28:49 +0200
