=== debian/changelog ===
rna-star (2.5.0a+dfsg-1) unstable; urgency=medium

  * Packaging moved from svn to git
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 12:41:06 +0100
