=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                vim-common,
                zlib1g-dev
 Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
+Vcs-Git: git://anonscm.debian.org/debian-med/rna-star.git
 Homepage: https://code.google.com/p/rna-star/
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rna-star/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rna-star/trunk/
 
 Package: rna-star
 Architecture: any
