=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

export CCFLAGS=-flto $(CXXFLAGS) $(CPPFLAGS) -std=c++0x
# export LDFLAGS+=-flto -pthread -lhts -lz

%:
	dh $@ 

override_dh_auto_build:
	cd source && $(MAKE) CCFLAGS_common_add="-flto $(CCFLAGS)" CCFLAGS="$(CCFLAGS)" LDFLAGS_add="$(LDFLAGS)"

override_dh_auto_clean:
	cd source && $(MAKE) clean
	rm -f source/parametersDefault.xxd

override_dh_compress:
	dh_compress --exclude=.pdf

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
