## rna-star 2.5.2a+dfsg

=== debian/changelog ===
rna-star (2.5.2a+dfsg-4) unstable; urgency=medium

  * enable rna-star for s390x
    Closes: #830662

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jul 2016 08:15:53 +0200

rna-star (2.5.2a+dfsg-3) unstable; urgency=medium

  * Limit architectures to amd64 as supported by upstream.
  * Add myself to Uploaders.
  * Add tests (autopkgtest and build time)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 22 May 2016 12:34:12 +0000

rna-star (2.5.2a+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Stop recording build environment in binary.
  * Enable full hardening.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 21 May 2016 20:53:28 +0000

rna-star (2.5.2a+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use xz compression option in d/watch
  * cme fix dpkg-control
  * Fix homepage

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 18:06:56 +0200

rna-star (2.5.1b+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Adjusted debian/watch to accept missing "STAR_" prefix.
  * Bumped policy compliance to 3.9.7.
  * Added debian/upstream/edam file.
  * Moved hunk from compilationstuff.patch to donotuse_own_htslib.patch
    to collect upstream-independent bits source/Makefile.
  * Introduced short reference on patches in debian/README.source.

 -- Steffen Moeller <moeller@debian.org>  Tue, 23 Feb 2016 17:36:18 +0100
