=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: rna-star
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Andreas Tille <tille@debian.org>,
+           Sascha Steinbiss <sascha@steinbiss.name>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9),
                libhts-dev,
                vim-common,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
+Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
-Vcs-Git: git://anonscm.debian.org/debian-med/rna-star.git
-Homepage: https://code.google.com/p/rna-star/
+Vcs-Git: https://anonscm.debian.org/git/debian-med/rna-star.git
+Homepage: https://github.com/alexdobin/STAR/
 
 Package: rna-star
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: amd64 arm64 ppc64el mips64el x32 s390x
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: ultrafast universal RNA-seq aligner
  Spliced Transcripts Alignment to a Reference (STAR) software based on a
  previously undescribed RNA-seq alignment algorithm that uses sequential
