=== debian/changelog ===
rna-star (2.5.2b+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2017 19:11:17 +0200

rna-star (2.5.2b+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove x32 from archs.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 23 Aug 2016 12:27:14 +0000

rna-star (2.5.2a+dfsg-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jun 2016 09:34:10 +0200
