=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 export CCFLAGS=-flto $(CXXFLAGS) $(CPPFLAGS) -std=c++0x
 # export LDFLAGS+=-flto -pthread -lhts -lz
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ 
@@ -23,5 +24,5 @@
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz
+override_dh_auto_test:
+	debian/tests/run_test.sh $(CURDIR)/source/STAR
