=== debian/changelog ===
rna-star (2.5.3a+dfsg-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to bio.tools
    and OMICtools

  [ Sascha Steinbiss ]
  * Remove s390x from supported archs list.
    Closes: #868742

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Aug 2017 16:05:13 +0200

rna-star (2.5.3a+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 21:22:06 +0200

rna-star (2.5.3a+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 31 May 2017 17:41:43 +0200
