=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Sascha Steinbiss <sascha@steinbiss.name>
+           Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -16,7 +16,7 @@
 Homepage: https://github.com/alexdobin/STAR/
 
 Package: rna-star
-Architecture: amd64 arm64 ppc64el mips64el x32 s390x
+Architecture: amd64 arm64 ppc64el mips64el
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: ultrafast universal RNA-seq aligner
