=== debian/changelog ===
rna-star (2.5.4b+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Respect nocheck flag in test override.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 11 Feb 2018 13:37:19 +0100

rna-star (2.5.4a+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * d/control: Remove obsolete Testsuite entry.
  * d/rules: Remove trailing whitespace.
  * d/copyright: Use secure copyright format URL.
  * Spelling fixes.

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Updated registry IDs
    - yamllint cleanliness

 -- Sascha Steinbiss <satta@debian.org>  Fri, 26 Jan 2018 11:32:21 +0100
