=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                vim-common,
                zlib1g-dev
 Standards-Version: 3.9.8
-Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/
