=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	cd source && $(MAKE) CCFLAGS_common_add="-flto $(CCFLAGS)" CCFLAGS="$(CCFLAGS)" LDFLAGS_add="$(LDFLAGS)"
@@ -25,4 +25,6 @@
 	dh_compress --exclude=.pdf
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/tests/run_test.sh $(CURDIR)/source/STAR
+endif
