=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/alexdobin/STAR/releases .*/archive/(?:STAR_?)?(\d[\d.a-z]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
