=== debian/changelog ===
rna-star (2.6.1a+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix spelling via patches.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Aug 2018 16:14:17 +0200

rna-star (2.6.0c+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 16 May 2018 08:39:24 +0200

rna-star (2.6.0b+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 07 May 2018 15:09:13 +0200

rna-star (2.6.0a+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Remove absent files from Files-Excluded.
  * Update copyright date.
  * Drop patch applied by upstream.
  * Adjust VCS entries.
  * Use debhelper 11.
  * Bump Standards-Version.
  * Update version number in man page.

  [ Steffen Moeller ]
  * Add SciCrunch IDs.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 26 Apr 2018 10:14:15 +0200
