=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libhts-dev,
                vim-common,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/rna-star.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/rna-star
+Vcs-Git: https://salsa.debian.org/med-team/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/
 
 Package: rna-star
