=== debian/changelog ===
rna-star (2.7.0a+dfsg-1) unstable; urgency=medium

  * New upstream release.
    This release introduces STARsolo for: mapping, demultiplexing and
    gene quantification for single cell RNA-seq.

  * Standards-Version: 4.3.0 - no changes required

 -- Steffen Moeller <moeller@debian.org>  Tue, 29 Jan 2019 22:58:57 +0100

rna-star (2.6.1d+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Dec 2018 21:03:02 +0000

rna-star (2.6.1c+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 23 Oct 2018 13:28:51 +0200

rna-star (2.6.1b+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 18 Sep 2018 18:53:06 +0200
