=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libhts-dev,
                vim-common,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/rna-star
 Vcs-Git: https://salsa.debian.org/med-team/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/
