=== debian/changelog ===
rna-star (2.7.1a+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #932066

 -- Sascha Steinbiss <satta@debian.org>  Wed, 17 Jul 2019 23:19:13 +0200

rna-star (2.7.1a+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Jul 2019 17:28:41 +0200
